Bug 149303 - aiksaurus-gtk includes library and utility
aiksaurus-gtk includes library and utility
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: aiksaurus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-21 23:47 EST by Sean Middleditch
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 04:18:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Middleditch 2005-02-21 23:47:02 EST
The aiksaurus-gtk package includes both a user-oriented utility application and
a developer library.  This results in any application that uses the library,
such as Abiword, requiring that the user install the aiksaurus utility.  Users
should not be forced to have a utility and (more importantly) its menu entry
installed if they do not want or need that utility.  Abiword only needs the
library, not the utility, and the utility should not be forced to be installed
with the utility.

Please split the library in aiksaurus-gtk to another package, like
libaiksaurus-gtk or something like it.
Comment 1 Caolan McNamara 2005-02-22 04:18:45 EST
aiksaurus is split into two basic non-devel rpm, the non gtk non gui library
rpm. And the other gtk-* rpm which provides the library which abiword uses and
the gaiksaurus front end which also uses that library, and all of which depends
on the first rpm

What you would propose would be an additional 3rd rpm which just includes the
tiny gaiksausus front end seperately from the 2nd rpm. That seems like overkill
for a small little package. In the case of similiar packages, e.g. aspell. There
the aspell front end (text based I admit) is included in the same rpm as the
libaspell library which it uses and which is makes available for use for other
applications similiarly to how aiksaurus is.

I believe gnome-dictionary has an entry by default in that menu to provide
dictionary support. Making thesarus support also directly available from the
menus if a package has been installed which can do provide it still makes sense
to me. You can always just remove the menu entry.

Note You need to log in before you can comment on or make changes to this bug.